import QtQuick
import QtQuick.Controls
import QtQuick.Layouts
import AntiClipSettings

ApplicationWindow {
    width: 680
    height: 480
    visible: true
    title: qsTr("Hello World")

    header: ToolBar {
        RowLayout {
            anchors.fill: parent
            Button {
                text: "搜索设备"
            }
            Button {
                text: "连接"
                onClicked: App.open()
            }
            Button {
                text: "开始"
                onClicked: App.start()
            }
            Text {
                Layout.alignment: Qt.AlignRight
                text: qsTr("当前设备版本号: RD_T009_V02R001B001")
            }
        }
    }

    Rectangle {
        id: deviceList
        anchors.top: parent.top
        anchors.bottom: parent.bottom
        anchors.left: parent.left
        width: 250
        color: "red"
    }

    DeviceView {
        anchors.top: parent.top
        anchors.bottom: parent.bottom
        anchors.left: deviceList.right
        anchors.right: parent.right
        openDoorAreaEnabled: App.currentOpenDoorAreaEnabled
        openDoorAreaPoints: App.currentOpenDoorAreaPoints
        shieldedAreaEnabled: App.currentShieldedAreaEnabled
        shieldedAreaPoints: App.currentShieldedAreaPoints
        antiClipAreaEnabled: App.currentAntiClipAreaEnabled
        antiClipAreaPoints: App.currentAntiClipAreaPoints
    }

    footer: RowLayout {
        width: parent.width
        Item {}
        Button {
            text: "数据采集"
        }
        Item {}
        Button {
            text: "升级"
        }
        Item {}
        spacing: (parent.width - (2 * 100)) / 3
    }
}
